class QuickfixMutator_ReconAgent extends Mutator;

/*
Recon Force/Desert Ops fix for Unreal Tournament

Purpose: Hacks the named models (both by Gotham & UDS) to make them work
properly in multiplayer.

Copyright (c) 2002 Simon McVittie.

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any damages
  arising from the use of this software.

  Permission is granted to anyone to use this software for any purpose,
  including commercial applications, and to alter it and redistribute it
  freely, subject to the following restrictions:

  1. The origin of this software must not be misrepresented; you must not
     claim that you wrote the original software. If you use this software
     in a product, an acknowledgment in the product documentation would be
     appreciated but is not required.
  2. Altered source versions must be plainly marked as such, and must not be
     misrepresented as being the original software.
  3. This notice may not be removed or altered from any source distribution.
*/

function PostBeginPlay()
{
	local Class<GenericSkinInfo> BrokenClass;
	BrokenClass = Class<GenericSkinInfo>(DynamicLoadObject("ReconAgent.ReconAgentSkinInfo",Class'Class'));
	if(BrokenClass!=None)
	{
		log("QuickfixMutator_ReconAgent: Found a ReconAgent. Fixing it");
		BrokenClass.default.bRelaxedSkinRules = true;
	}
	BrokenClass = Class<GenericSkinInfo>(DynamicLoadObject("DesertAgent.DesertAgentSkinInfo",Class'Class'));
	if(BrokenClass!=None)
	{
		log("QuickfixMutator_ReconAgent: Found a DesertAgent. Fixing it");
		BrokenClass.default.bRelaxedSkinRules = true;
	}
	Super.PostBeginPlay();
}

defaultproperties
{
}
